package org.apache.maven.plugins.modello;

/* ====================================================================
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements.  See the NOTICE file distributed with
 *   this work for additional information regarding copyright ownership.
 *   The ASF licenses this file to You under the Apache License, Version 2.0
 *   (the "License"); you may not use this file except in compliance with
 *   the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.codehaus.modello.ModelloCli;

/**
 * @author <a href="mailto:brett@apache.org">Brett Porter</a>
 * @version $Id: ArtifactDeployer.java,v 1.6 2004/09/06 04:26:10 felipeal Exp $
 */
public class ModelloCliWrapper
{
    private String model;

    private String packageWithVersion;

    private String version;

    private String type;

    private String targetDirectory;

    public void generate() throws Exception
    {
        ClassLoader oldClassLoader = Thread.currentThread().getContextClassLoader();
        Thread.currentThread().setContextClassLoader( getClass().getClassLoader() );
        String[] args = new String[] { this.model, this.type, this.targetDirectory, this.version, this.packageWithVersion };
        ModelloCli.main( args );
        Thread.currentThread().setContextClassLoader( oldClassLoader );
    }

    public String getModel()
    {
        return this.model;
    }

    public String getPackageWithVersion()
    {
        return this.packageWithVersion;
    }

    public String getVersion()
    {
        return this.version;
    }

    public String getType()
    {
        return this.type;
    }

    public String getTargetDirectory()
    {
        return this.targetDirectory;
    }

    public void setModel( String model )
    {
        this.model = model;
    }

    public void setPackageWithVersion( String packageWithVersion )
    {
        this.packageWithVersion = packageWithVersion;
    }

    public void setVersion( String version )
    {
        this.version = version;
    }

    public void setType( String type )
    {
        this.type = type;
    }

    public void setTargetDirectory( String targetDirectory )
    {
        this.targetDirectory = targetDirectory;
    }
}
